Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.www
Class SlaveServerDetection

    java.lang.Object
      org.pentaho.di.www.SlaveServerDetection

    public class SlaveServerDetection

extends Object

This class is what describes the information that we keep when we detect a slave server in the cloud / cluster.
It contains the slave server information as well as the time it was last seen alive, whether it is still alive, etc.

Since:
  2008-OCT-08
Author:
  matt

Nested Class Summary
`static class` | `SlaveServerDetection.SlaveRelationShip`

Field Summary
`static String` | `XML_TAG`

Constructor Summary
`SlaveServerDetection(Node node)`
`SlaveServerDetection(SlaveServer slaveServer)`

Method Summary
`boolean` | `equals(Object ssd)`
`Date` | `getLastActiveDate()`
`Date` | `getLastInactiveDate()`
`static SlaveServerDetection.SlaveRelationShip` | `getSlaveRelationShip(String code)`
`SlaveServer` | `getSlaveServer()`
`String` | `getXML()`
`int` | `hashCode()`
`boolean` | `isActive()`
`void` | `setActive(boolean active)`
`void` | `setLastActiveDate(Date lastActiveDate)`
`void` | `setLastInactiveDate(Date lastInactiveDate)`
`void` | `setSlaveServer(SlaveServer slaveServer)`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XML_TAG

    public static final String XML_TAG

See Also:
  Constant Field Values

Constructor Detail

### SlaveServerDetection

    public SlaveServerDetection(SlaveServer slaveServer)

### SlaveServerDetection

    public SlaveServerDetection(Node node)

Method Detail

### getSlaveRelationShip

    public static final SlaveServerDetection.SlaveRelationShip getSlaveRelationShip(String code)

### getXML

    public String getXML()

### equals

    public boolean equals(Object ssd)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### getSlaveServer

    public SlaveServer getSlaveServer()

  Returns:
    the slaveServer

### setSlaveServer

    public void setSlaveServer(SlaveServer slaveServer)

  Parameters:
    `slaveServer` - the slaveServer to set

### isActive

    public boolean isActive()

  Returns:
    the active

### setActive

    public void setActive(boolean active)

  Parameters:
    `active` - the active to set

### getLastActiveDate

    public Date getLastActiveDate()

  Returns:
    the lastActiveDate

### setLastActiveDate

    public void setLastActiveDate(Date lastActiveDate)

  Parameters:
    `lastActiveDate` - the lastActiveDate to set

### getLastInactiveDate

    public Date getLastInactiveDate()

  Returns:
    the lastInactiveDate

### setLastInactiveDate

    public void setLastInactiveDate(Date lastInactiveDate)

  Parameters:
    `lastInactiveDate` - the lastInactiveDate to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD